package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwGlInitbuildExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwGlInitbuildExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andPkInitbuildIsNull() {
			addCriterion("PK_INITBUILD is null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildIsNotNull() {
			addCriterion("PK_INITBUILD is not null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildEqualTo(String value) {
			addCriterion("PK_INITBUILD =", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotEqualTo(String value) {
			addCriterion("PK_INITBUILD <>", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildGreaterThan(String value) {
			addCriterion("PK_INITBUILD >", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildGreaterThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD >=", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLessThan(String value) {
			addCriterion("PK_INITBUILD <", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLessThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD <=", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLike(String value) {
			addCriterion("PK_INITBUILD like", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotLike(String value) {
			addCriterion("PK_INITBUILD not like", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildIn(List<String> values) {
			addCriterion("PK_INITBUILD in", values, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotIn(List<String> values) {
			addCriterion("PK_INITBUILD not in", values, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD between", value1, value2, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD not between", value1, value2, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIsNull() {
			addCriterion("PK_GLORGBOOK is null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIsNotNull() {
			addCriterion("PK_GLORGBOOK is not null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookEqualTo(String value) {
			addCriterion("PK_GLORGBOOK =", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <>", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThan(String value) {
			addCriterion("PK_GLORGBOOK >", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK >=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThan(String value) {
			addCriterion("PK_GLORGBOOK <", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLike(String value) {
			addCriterion("PK_GLORGBOOK like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotLike(String value) {
			addCriterion("PK_GLORGBOOK not like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIn(List<String> values) {
			addCriterion("PK_GLORGBOOK in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotIn(List<String> values) {
			addCriterion("PK_GLORGBOOK not in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK not between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeIsNull() {
			addCriterion("INITBUILDTYPE is null");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeIsNotNull() {
			addCriterion("INITBUILDTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeEqualTo(String value) {
			addCriterion("INITBUILDTYPE =", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeNotEqualTo(String value) {
			addCriterion("INITBUILDTYPE <>", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeGreaterThan(String value) {
			addCriterion("INITBUILDTYPE >", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeGreaterThanOrEqualTo(String value) {
			addCriterion("INITBUILDTYPE >=", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeLessThan(String value) {
			addCriterion("INITBUILDTYPE <", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeLessThanOrEqualTo(String value) {
			addCriterion("INITBUILDTYPE <=", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeLike(String value) {
			addCriterion("INITBUILDTYPE like", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeNotLike(String value) {
			addCriterion("INITBUILDTYPE not like", value, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeIn(List<String> values) {
			addCriterion("INITBUILDTYPE in", values, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeNotIn(List<String> values) {
			addCriterion("INITBUILDTYPE not in", values, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeBetween(String value1, String value2) {
			addCriterion("INITBUILDTYPE between", value1, value2, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andInitbuildtypeNotBetween(String value1, String value2) {
			addCriterion("INITBUILDTYPE not between", value1, value2, "initbuildtype");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNull() {
			addCriterion("PERIOD is null");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNotNull() {
			addCriterion("PERIOD is not null");
			return (Criteria) this;
		}

		public Criteria andPeriodEqualTo(String value) {
			addCriterion("PERIOD =", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotEqualTo(String value) {
			addCriterion("PERIOD <>", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThan(String value) {
			addCriterion("PERIOD >", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThanOrEqualTo(String value) {
			addCriterion("PERIOD >=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThan(String value) {
			addCriterion("PERIOD <", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThanOrEqualTo(String value) {
			addCriterion("PERIOD <=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLike(String value) {
			addCriterion("PERIOD like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotLike(String value) {
			addCriterion("PERIOD not like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodIn(List<String> values) {
			addCriterion("PERIOD in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotIn(List<String> values) {
			addCriterion("PERIOD not in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodBetween(String value1, String value2) {
			addCriterion("PERIOD between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotBetween(String value1, String value2) {
			addCriterion("PERIOD not between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIsNull() {
			addCriterion("PK_ACCSUBJ is null");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIsNotNull() {
			addCriterion("PK_ACCSUBJ is not null");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjEqualTo(String value) {
			addCriterion("PK_ACCSUBJ =", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotEqualTo(String value) {
			addCriterion("PK_ACCSUBJ <>", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjGreaterThan(String value) {
			addCriterion("PK_ACCSUBJ >", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjGreaterThanOrEqualTo(String value) {
			addCriterion("PK_ACCSUBJ >=", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLessThan(String value) {
			addCriterion("PK_ACCSUBJ <", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLessThanOrEqualTo(String value) {
			addCriterion("PK_ACCSUBJ <=", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLike(String value) {
			addCriterion("PK_ACCSUBJ like", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotLike(String value) {
			addCriterion("PK_ACCSUBJ not like", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIn(List<String> values) {
			addCriterion("PK_ACCSUBJ in", values, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotIn(List<String> values) {
			addCriterion("PK_ACCSUBJ not in", values, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjBetween(String value1, String value2) {
			addCriterion("PK_ACCSUBJ between", value1, value2, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotBetween(String value1, String value2) {
			addCriterion("PK_ACCSUBJ not between", value1, value2, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIsNull() {
			addCriterion("SUBJCODE is null");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIsNotNull() {
			addCriterion("SUBJCODE is not null");
			return (Criteria) this;
		}

		public Criteria andSubjcodeEqualTo(String value) {
			addCriterion("SUBJCODE =", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotEqualTo(String value) {
			addCriterion("SUBJCODE <>", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeGreaterThan(String value) {
			addCriterion("SUBJCODE >", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeGreaterThanOrEqualTo(String value) {
			addCriterion("SUBJCODE >=", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLessThan(String value) {
			addCriterion("SUBJCODE <", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLessThanOrEqualTo(String value) {
			addCriterion("SUBJCODE <=", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLike(String value) {
			addCriterion("SUBJCODE like", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotLike(String value) {
			addCriterion("SUBJCODE not like", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIn(List<String> values) {
			addCriterion("SUBJCODE in", values, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotIn(List<String> values) {
			addCriterion("SUBJCODE not in", values, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeBetween(String value1, String value2) {
			addCriterion("SUBJCODE between", value1, value2, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotBetween(String value1, String value2) {
			addCriterion("SUBJCODE not between", value1, value2, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjnameIsNull() {
			addCriterion("SUBJNAME is null");
			return (Criteria) this;
		}

		public Criteria andSubjnameIsNotNull() {
			addCriterion("SUBJNAME is not null");
			return (Criteria) this;
		}

		public Criteria andSubjnameEqualTo(String value) {
			addCriterion("SUBJNAME =", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotEqualTo(String value) {
			addCriterion("SUBJNAME <>", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameGreaterThan(String value) {
			addCriterion("SUBJNAME >", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameGreaterThanOrEqualTo(String value) {
			addCriterion("SUBJNAME >=", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLessThan(String value) {
			addCriterion("SUBJNAME <", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLessThanOrEqualTo(String value) {
			addCriterion("SUBJNAME <=", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLike(String value) {
			addCriterion("SUBJNAME like", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotLike(String value) {
			addCriterion("SUBJNAME not like", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameIn(List<String> values) {
			addCriterion("SUBJNAME in", values, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotIn(List<String> values) {
			addCriterion("SUBJNAME not in", values, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameBetween(String value1, String value2) {
			addCriterion("SUBJNAME between", value1, value2, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotBetween(String value1, String value2) {
			addCriterion("SUBJNAME not between", value1, value2, "subjname");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNull() {
			addCriterion("PK_CURRTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNotNull() {
			addCriterion("PK_CURRTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeEqualTo(String value) {
			addCriterion("PK_CURRTYPE =", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotEqualTo(String value) {
			addCriterion("PK_CURRTYPE <>", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThan(String value) {
			addCriterion("PK_CURRTYPE >", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE >=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThan(String value) {
			addCriterion("PK_CURRTYPE <", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE <=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLike(String value) {
			addCriterion("PK_CURRTYPE like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotLike(String value) {
			addCriterion("PK_CURRTYPE not like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIn(List<String> values) {
			addCriterion("PK_CURRTYPE in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotIn(List<String> values) {
			addCriterion("PK_CURRTYPE not in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE not between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andDebitamountIsNull() {
			addCriterion("DEBITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andDebitamountIsNotNull() {
			addCriterion("DEBITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andDebitamountEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT =", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT <>", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountGreaterThan(BigDecimal value) {
			addCriterion("DEBITAMOUNT >", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT >=", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountLessThan(BigDecimal value) {
			addCriterion("DEBITAMOUNT <", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT <=", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountIn(List<BigDecimal> values) {
			addCriterion("DEBITAMOUNT in", values, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotIn(List<BigDecimal> values) {
			addCriterion("DEBITAMOUNT not in", values, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("DEBITAMOUNT between", value1, value2, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("DEBITAMOUNT not between", value1, value2, "debitamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountIsNull() {
			addCriterion("CREDITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andCreditamountIsNotNull() {
			addCriterion("CREDITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andCreditamountEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT =", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT <>", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountGreaterThan(BigDecimal value) {
			addCriterion("CREDITAMOUNT >", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT >=", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountLessThan(BigDecimal value) {
			addCriterion("CREDITAMOUNT <", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT <=", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountIn(List<BigDecimal> values) {
			addCriterion("CREDITAMOUNT in", values, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotIn(List<BigDecimal> values) {
			addCriterion("CREDITAMOUNT not in", values, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("CREDITAMOUNT between", value1, value2, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("CREDITAMOUNT not between", value1, value2, "creditamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIsNull() {
			addCriterion("LOCALDEBITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIsNotNull() {
			addCriterion("LOCALDEBITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT =", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <>", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountGreaterThan(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT >", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT >=", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountLessThan(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <=", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIn(List<BigDecimal> values) {
			addCriterion("LOCALDEBITAMOUNT in", values, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotIn(List<BigDecimal> values) {
			addCriterion("LOCALDEBITAMOUNT not in", values, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALDEBITAMOUNT between", value1, value2, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALDEBITAMOUNT not between", value1, value2, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIsNull() {
			addCriterion("LOCALCREDITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIsNotNull() {
			addCriterion("LOCALCREDITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT =", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <>", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountGreaterThan(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT >", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT >=", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountLessThan(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <=", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIn(List<BigDecimal> values) {
			addCriterion("LOCALCREDITAMOUNT in", values, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotIn(List<BigDecimal> values) {
			addCriterion("LOCALCREDITAMOUNT not in", values, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALCREDITAMOUNT between", value1, value2, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALCREDITAMOUNT not between", value1, value2, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andIsbuildIsNull() {
			addCriterion("ISBUILD is null");
			return (Criteria) this;
		}

		public Criteria andIsbuildIsNotNull() {
			addCriterion("ISBUILD is not null");
			return (Criteria) this;
		}

		public Criteria andIsbuildEqualTo(String value) {
			addCriterion("ISBUILD =", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildNotEqualTo(String value) {
			addCriterion("ISBUILD <>", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildGreaterThan(String value) {
			addCriterion("ISBUILD >", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildGreaterThanOrEqualTo(String value) {
			addCriterion("ISBUILD >=", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildLessThan(String value) {
			addCriterion("ISBUILD <", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildLessThanOrEqualTo(String value) {
			addCriterion("ISBUILD <=", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildLike(String value) {
			addCriterion("ISBUILD like", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildNotLike(String value) {
			addCriterion("ISBUILD not like", value, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildIn(List<String> values) {
			addCriterion("ISBUILD in", values, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildNotIn(List<String> values) {
			addCriterion("ISBUILD not in", values, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildBetween(String value1, String value2) {
			addCriterion("ISBUILD between", value1, value2, "isbuild");
			return (Criteria) this;
		}

		public Criteria andIsbuildNotBetween(String value1, String value2) {
			addCriterion("ISBUILD not between", value1, value2, "isbuild");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
 
}